Allow 'contentadmin' being managed by wikitech bureaucrats
Closed, ResolvedPublic

Description

Giving 'crats the right to grant and remove contentadmin seems appropriate. A related question is whether 'crats should be able to grant sysop at all on wikitech.

Contentadmin = sysop w/o editinterface/hiera rights afaics. Since sysop seems sensitive, I propose that we allow bureaucrats to add/remove contentadmin (and shell per T158516) on Wikitech, and remove wikitech bureaucrats the ability to promote users to the 'sysop' usergroup, leaving that task for 'cloudadmins' since they have the 'userrights' permission.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2017, 11:40 AM

Change 338751 had a related patch set uploaded (by MarcoAurelio):
Configuration changes for wikitech.wikimedia.org

https://gerrit.wikimedia.org/r/338751

MarcoAurelio triaged this task as "Normal" priority.Feb 20 2017, 12:30 PM
MarcoAurelio lowered the priority of this task from "Normal" to "Low".Feb 20 2017, 12:31 PM

Change 338751 merged by jenkins-bot:
Configuration changes for wikitech.wikimedia.org

https://gerrit.wikimedia.org/r/338751

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-02-22T19:14:36Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:338751|Configuration changes for wikitech.wikimedia.org]] T158516 T158554 T158482 (duration: 00m 40s)

MarcoAurelio closed this task as "Resolved".Feb 22 2017, 7:33 PM